Subject: Re: [PATCH] powerpc/powernv: check OPAL_REGISTER_DUMP_REGION calls exist

From: Stewart Smith <[email-masked]>
Date: Thu, 26 Feb 2015 08:53:52 +1100

Cedric Le Goater <[email-masked]> writes:
> On 02/25/2015 10:16 PM, Stewart Smith wrote:
>> C=C3=A9dric Le Goater <[email-masked]> writes:
>>> On Open Power systems, such call fails in OPAL :=20
>>>
>>>    OPAL: Called with bad token 101 !
>>>
>>> The check on the OPAL_UNREGISTER_DUMP_REGION call is added for=20
>>> symmetry. I did not see any errors for it.
>>=20
>> I've already put in a patch to squash this:
>> Message-Id:
>> <[email-masked]>
>>=20
>> Just waiting on mpe to merge :)
>
> ok fine, I missed it :)=20
>
> I am also tempted to fix OPAL_READ_TPO but the proper way to do this=20
> would be to move the lowlevel OPAL code from drivers/rtc/rtc-opal.c to=20
> a new file under arch/powerpc/platforms/powernv/. How does that sound ?=20

shouldn't we be detecting things from DT and acting on it? From a quick
glance perhaps we're not quite doing the checks in all the right places?